using System;

namespace DAODemo1.DAOAttributes
{
    public class FindAttribute : Attribute
    {
    }

    public class DeleteAttribute : Attribute
    {
    }

    public class CreateAttribute : Attribute
    {
    }

    public class EntityTypeAttribute : Attribute
    {
        private readonly Type domainType;

        public Type DomainType
        {
            get { return domainType; }
        }

        public EntityTypeAttribute(Type domainType)
        {
            this.domainType = domainType;
        }
    }

    public class QueryAttribute : Attribute
    {
        private readonly string query;

        public string Query
        {
            get { return query; }
        }

        public QueryAttribute(string query)
        {
            this.query = query;
        }
    }
}