﻿using System.Collections.Generic;
using DAODemo1.DAOAttributes;

namespace DAODemo1
{
    [EntityType(typeof(Customer))]
    public interface ICustomDAO
    {
        [Find]
        Customer FindById(object id);

        [Delete]
        void DeleteCustomer(Customer user);

        [Create]
        void CreateCustomer(Customer user);

        [Query("ContactName like '%{0}%'")]
        IList<Customer> FindUserByName(string name);
    }
}