using System.Data.Linq;

namespace DAODemo1.Processors
{
    public class DeleteProcessor<T> : BaseProcessor<T>, IProcessor
    {
        public DeleteProcessor(IDataContextFactory ctx) : base(ctx)
        {
        }

        public object Process(object[] parameters)
        {
            Process(table =>
                        {
                            table.Attach(parameters[0]);
                            table.DeleteOnSubmit(parameters[0]);
                        });
            return null;
        }
    }
}