using System;
using System.Collections.Generic;
using Spring.Context;
using Spring.Context.Support;

namespace DAODemo1
{
    public class Program
    {
        public static void Main()
        {
            IApplicationContext ctx = ContextRegistry.GetContext();
            ICustomDAO dao = (ICustomDAO) ctx.GetObject("userDAO");

            IList<Customer> customers = dao.FindUserByName("Hardy");
            foreach (var customer in customers)
            {
                Console.WriteLine(customer.ContactName);
            }

            Customer foundCustomer = dao.FindById("ALFKI");
            Console.WriteLine(foundCustomer.ContactName);
        }
    }
}